# HG changeset patch
# User Dinesh<dinesh@multicorewareinc.com>
# Date 1551169344 -19800
#      Tue Feb 26 13:52:24 2019 +0530
# Node ID 31ab7e09a3b5b15ffcc532826d4dd5d37e611483
# Parent  cb3e172a5f51c6a4bf8adb7953fe53277f5a1979
- Fixed  --tune mapping issue in x265 + SVT-HEVc integration

diff -r cb3e172a5f51 -r 31ab7e09a3b5 doc/reST/svthevc.rst
--- a/doc/reST/svthevc.rst	Tue Feb 19 20:20:35 2019 +0530
+++ b/doc/reST/svthevc.rst	Tue Feb 26 13:52:24 2019 +0530
@@ -177,12 +177,14 @@
 +----------------------------------------+------------------------------+
 
 x265 has 5 tune modes (psnr, ssim, grain, zero-latency, animation) whereas SVT-HEVC
-has only 2 tune modes (0 - Subjective Quality Mode, 1 - Objective Quality Mode). Below 
+has only 3 tune modes (0 - visual quality, 1 - PSNR / SSIM and 2 - VMAF). Below 
 table shows the mapping of tune modes,
 
 +-----------------------+---------------------------+
 | x265 Tune Modes       | SVT-HEVC Tune Modes       |
 +=======================+===========================+
+| vmaf                  | 2                         |
++-----------------------+---------------------------+
 | psnr                  | 1                         |
 +-----------------------+---------------------------+
 | ssim                  | 1                         |
@@ -196,4 +198,5 @@
 | animation             | 0                         |
 +-----------------------+---------------------------+
 
-Note that :option:`--tune` animation is also mapped to "LatencyMode" of SVT-HEVC.
+Note that : 1.option:`--tune` animation is also mapped to "LatencyMode" of SVT-HEVC.
+            2.option: '--tune' vmaf is not supported in x265, its under development.
diff -r cb3e172a5f51 -r 31ab7e09a3b5 source/common/param.cpp
--- a/source/common/param.cpp	Tue Feb 19 20:20:35 2019 +0530
+++ b/source/common/param.cpp	Tue Feb 26 13:52:24 2019 +0530
@@ -570,6 +570,10 @@
             param->deblockingFilterBetaOffset = 1;
             param->deblockingFilterTCOffset = 1;
         }
+		else if (!strcmp(tune, "vmaf"))  /*Adding vmaf for x265 + SVT-HEVC integration support*/
+		{
+			/*vmaf is under development, currently x265 won't support vmaf*/
+		}
         else
             return -1;
     }
@@ -2482,7 +2486,8 @@
         if (!strcmp(tune, "psnr")) svtHevcParam->tune = 1;
         else if (!strcmp(tune, "ssim")) svtHevcParam->tune = 1;
         else if (!strcmp(tune, "grain")) svtHevcParam->tune = 0;
-        else if (!strcmp(tune, "animation")) svtHevcParam->tune = 1;
+        else if (!strcmp(tune, "animation")) svtHevcParam->tune = 0;
+		else if (!strcmp(tune, "vmaf")) svtHevcParam->tune = 2;
         else if (!strcmp(tune, "zero-latency") || !strcmp(tune, "zerolatency")) svtHevcParam->latencyMode = 1;
         else  return -1;
     }
